commit:     5e64617ba6261e97adddc3348c18a30ae7675164
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 30 00:27:52 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Nov 30 00:27:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e64617b

x11-plugins/pidgin-telegram: bump to version 1.4.4

Closes: https://bugs.gentoo.org/757690
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 x11-plugins/pidgin-telegram/Manifest               |  1 +
 .../pidgin-telegram/pidgin-telegram-1.4.4.ebuild   | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/x11-plugins/pidgin-telegram/Manifest 
b/x11-plugins/pidgin-telegram/Manifest
index b7e7757ecfc..1f2e5e31fdd 100644
--- a/x11-plugins/pidgin-telegram/Manifest
+++ b/x11-plugins/pidgin-telegram/Manifest
@@ -1 +1,2 @@
 DIST telegram-purple_1.4.3.orig.tar.gz 491997 BLAKE2B 
30d42b34525c6553498c67f8a28cfe789442555a3a135a116195edc982611b8ccae6d7c53006358ebdca679258ae6a40b29a1d2ebb764e082bc2ee77d39584db
 SHA512 
697d070da5c6671dd54a1709b37153d4b569ae1cd19d574a2d92a777a89ebd7884596b35829564a7f6fd49104f5d26e35cbe9634f64c678b5f061af8197fba16
+DIST telegram-purple_1.4.4.orig.tar.gz 495386 BLAKE2B 
7ecac3a334f88f3d9c0367c5910d3de03b1e6749f18628a58f90c0ae3602dd04d0a1bec79b1016af236375bfe3eb7d4c40437c31fbbee0e9648e5425e40bb43d
 SHA512 
9907da48b978294749f0697313cc7dbf26358535d6528190d8b61cdce5e478af8e756528a212af806025eb75b7f7ec90054ee763eea327f101ef469d0f4fd43e

diff --git a/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.4.ebuild 
b/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.4.ebuild
new file mode 100644
index 00000000000..653d01bdc92
--- /dev/null
+++ b/x11-plugins/pidgin-telegram/pidgin-telegram-1.4.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A libpurple protocol plugin that adds support for the Telegram 
messenger"
+HOMEPAGE="https://github.com/majn/telegram-purple";
+SRC_URI="https://github.com/majn/telegram-purple/releases/download/v${PV}/telegram-purple_${PV}.orig.tar.gz";
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="gcrypt libressl +nls +png +webp"
+
+RDEPEND="
+       net-im/pidgin
+       sys-libs/zlib:=
+       gcrypt? ( dev-libs/libgcrypt:0= )
+       !gcrypt? (
+               libressl? ( dev-libs/libressl:0= )
+               !libressl? ( dev-libs/openssl:0= )
+       )
+       png? ( media-libs/libpng:0= )
+       webp? ( media-libs/libwebp:= )
+"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+"
+
+S="${WORKDIR}/telegram-purple"
+
+DOCS=( "AUTHORS" "CHANGELOG.md" "HACKING.md" "HACKING.BUILD.md" "README.md" )
+
+PATCHES=( "${FILESDIR}/${PN}-1.4.3-clang.patch" )
+
+src_prepare() {
+       default
+
+       # Remove '-Werror' to make it compile
+       find -name 'Makefile*' -exec sed -i -e 's/-Werror //'  {} + || die
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable gcrypt)
+               $(use_enable nls translation)
+               $(use_enable png libpng)
+               $(use_enable webp libwebp)
+       )
+
+       econf "${myeconfargs[@]}"
+}

Reply via email to